Apache::httpd_conf(3)

NAME
Apache::httpd_conf - Generate an httpd.conf file

SYNOPSIS
  use Apache::httpd_conf ();

  Apache::httpd_conf->write(Port => 8888);

DESCRIPTION
The Apache::httpd_conf module will generate a tiny httpd.conf file, which pulls itself back in via a <Perl> section. Any additional arguments passed to the "write" method will be added to the generated httpd.conf file, and will override those defaults set in the <Perl> section. This module is handy mostly for starting httpd servers to test mod_perl scripts and modules.

AUTHOR
Doug MacEachern

SEE ALSO
mod_perl(3), Apache::PerlSections(3)